Name:		editres
Version:	1.0.9
Release:	%mkrel 2
Summary:	A dynamic resource editor for X Toolkit applications 
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source:		https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz
Patch0:		editres-1.0.7-fix-str-fmt.patch

BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xmu) >= 1.0.0
BuildRequires:	pkgconfig(xt) >= 1.0.0
BuildRequires:	pkgconfig(xaw7) >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1

%description
Editres is a dynamic resource editor for X Toolkit applications.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files

%license COPYING
%{_bindir}/editres
%{_datadir}/X11/app-defaults/Editres
%{_datadir}/X11/app-defaults/Editres-color
%{_mandir}/man1/editres.1*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.0.9-2.mga10
+ Revision: 2224596
- Mageia 10 Mass Rebuild

* Sun Jun 30 2024 daviddavid <daviddavid> 1.0.9-1.mga10
+ Revision: 2078052
- new version: 1.0.9

* Tue Apr 26 2022 luigiwalser <luigiwalser> 1.0.8-1.mga9
+ Revision: 1854399
- 1.0.8
- update source URL

* Thu Mar 31 2022 umeabot <umeabot> 1.0.7-4.mga9
+ Revision: 1835870
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.7-3.mga8
+ Revision: 1512079
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.7-2.mga7
+ Revision: 1297571
- Mageia 7 Mass Rebuild

* Tue Mar 13 2018 tv <tv> 1.0.7-1.mga7
+ Revision: 1208965
- fix one new snprintf call
- rediff patch
- new release

* Mon Feb 08 2016 umeabot <umeabot> 1.0.6-5.mga6
+ Revision: 942732
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-4.mga5
+ Revision: 745614
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-3.mga5
+ Revision: 678961
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.6-2.mga4
+ Revision: 522024
- Mageia 4 Mass Rebuild

* Wed Feb 06 2013 luigiwalser <luigiwalser> 1.0.6-1.mga3
+ Revision: 394876
- 1.0.6

* Fri Jan 11 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 349504
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 pterjan <pterjan> 1.0.5-1.mga1
+ Revision: 35044
- imported package editres


* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 592506
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-2mdv2010.1
+ Revision: 522570
- rebuilt for 2010.1

* Wed Sep 23 2009 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2010.0
+ Revision: 447713
- new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.3-7mdv2010.0
+ Revision: 424378
- rebuild

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 1.0.3-6mdv2009.1
+ Revision: 364905
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-5mdv2009.0
+ Revision: 220718
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-4mdv2008.1
+ Revision: 149688
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Choose default Xaw from xaw.m4 unless configure explicitly told otherwise.

* Wed Sep 19 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.3-2mdv2008.0
+ Revision: 90160
- rebuild for 2008
- minor spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 116305
- new upstream version: 1.0.3

* Sat Sep 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.1-6mdv2007.0
+ Revision: 59557
- rebuild to fix libXaw.so.8 dependency
- rebuild to fix cooker uploading
- rebuild against new libXaw package
- increment release
- Adding X.org 7.0 to the repository

  + Warly <warly@mandriva.com>
    - rebuild

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description

